Page Summary
-
This document explains how to assign a targeting option to a partner using a POST request.
-
The request requires
partnerIdandtargetingTypeas path parameters. -
The request body should contain an instance of
AssignedTargetingOption. -
A successful response will return a newly created instance of
AssignedTargetingOption. -
The request requires the
https://www.googleapis.com/auth/display-videoauthorization scope.
Assigns a targeting option to a partner. Returns the assigned targeting option if successful.
HTTP request
POST https://displayvideo.googleapis.com/v1beta2/partners/{partnerId}/targetingTypes/{targetingType}/assignedTargetingOptions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
partnerId |
Required. The ID of the partner. |
targetingType |
Required. Identifies the type of this assigned targeting option. Supported targeting types: |
Request body
The request body contains an instance of AssignedTargetingOption.
Response body
If successful, the response body contains a newly created instance of AssignedTargetingOption.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.